Bug 1015943 - Add a Docker container installation guide
Add a Docker container installation guide
Product: Publican
Classification: Community
Component: Publican Users Guide (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ruediger Landmann
Depends On:
  Show dependency treegraph
Reported: 2013-10-07 00:24 EDT by Sven Dowideit
Modified: 2013-12-18 21:46 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-18 21:46:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
initial docker usage guide. (2.81 KB, patch)
2013-10-07 00:24 EDT, Sven Dowideit
no flags Details | Diff

  None (edit)
Description Sven Dowideit 2013-10-07 00:24:43 EDT
Created attachment 808711 [details]
initial docker usage guide.

Description of problem:
I built a docker container (based on a fedora container) that allows me to run publican without needing to install java on my main host.

see https://index.docker.io/u/svendowideit/publican/

I've attached a simplistic use instruction.

I hope that RH/Fedora will eventually maintain their own fedora container, and then their own publican container - you're welcome to use what I've made, either as is, or rebuilt - I'm mostly just learning about the parts as I head towards my own needs.

Version-Release number of selected component (if applicable):

Additional info:

the Dockerfile used to create the container is:

# run publican on the current directory
# this container is fedora based, as publican is best supported there
# from docker pull mattdm/fedora
# Build the container:
#   docker build -t svendowideit/publican .
# Run Publican (in this example, mount the current directory, and build the docbook that is in it):
#   docker run -t -i -v $(pwd):/mnt svendowideit/publican build --src_dir=/mnt --langs=en-US --formats=pd

FROM mattdm/fedora
MAINTAINER	Sven Dowideit <SvenDowideit@home.org.au>

RUN yum -y install publican 
RUN yum -y install publican-fedora publican-jboss publican-common-db5-web publican-common-web publican-ge
nome publican-ovirt publican-redhat

#RUN bash -c 'echo "echo foswiki configure admin user password is 'admin'" >> /.bashrc'

CMD ["--help"]
ENTRYPOINT ["publican"]

#add defaults for src_dir, langs and formats
RUN bash -c 'echo "formats: \"html,html-single,pdf,txt\""' >> /.publican.cfg
RUN bash -c 'echo "langs: \"en-US\""' >> /.publican.cfg
Comment 2 Ruediger Landmann 2013-11-14 01:50:02 EST
Thanks Sven, incorporated into the Guide! :)

b5a8407..91088cb  devel -> devel

Note You need to log in before you can comment on or make changes to this bug.